# Module 5: Open Research Software and Open Source

Welcome to Module 5 of the Open Science MOOC! Here you can find important information on the development of the module, including the latest updates to the content.

- [**Content Development**](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/tree/master/content_development) - This is where you can find all content currently being developed for the MOOc, and also contribute yourself.

- [**Production Toolkit**](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/tree/master/production_toolkit) - This is where the basic protocols and outline for the module development are kept. It includes a tracking scheme as the content development progresses.

Don't forget to join us in our open [Slack group](https://openmooc-ers-slackin.herokuapp.com/)! The channel for this module is #module5opensource. You can also sign up to our mailing list [here](https://opensciencemooc.github.io/site/Contact/).

## Table of Contents

1. [Rationale](#Rationale)
2. [Learning outcomes](#Learning_outcomes)
3. [Development team](#Development_team)
4. [Key documents](#Key_documents)
5. [Licenses](#Licenses)


## Rationale <a name="Rationale"></a>

Software and technology underpin modern science. There is an increasing demand for more sophisticated open source software, matched by an increasing willingness for researchers to openly collaborate on new tools. These developments come with a specific ethical, legal and economic challenges that impact upon research workflows. This module will introduce the necessary tools required for transforming software into something that can be openly accessed and re-used by others.


## Learning outcomes <a name="Learning_outcomes"></a>

  - The researcher will be able to define the characteristics of open source research software, and the ethical, legal, economic and research impact arguments for and against it.
  - Based on community standards, researchers will be able to describe the quality requirements of sharing and re-using open code.
  - The researcher will be able to use a range of research tools that utilise open source software.
  - Individual researchers will be able to transform code designed for their personal use into code that is accessible and re-usable by others.
  - Software developers will be able to make their software citable, and software users will know how to cite the software they use.


## Development team <a name="Development_team"></a>
- [Alex Morley](https://twitter.com/alex__morley), Open Sourceror, University of Oxford, UK.
- [Kevin Moerman](https://twitter.com/KMMoerman), Open Sourceror, MIT, USA.
- [Tania Allard](https://twitter.com/ixek), Open Sourceress, Data Enchantress, University of Leeds, UK.
- [Simon Worthington](https://twitter.com/mrchristian99), Book Liberationist, TIB, Germany.
- [Paola Masuzzo](https://twitter.com/pcmasuzzo), Open Source Batman, Italy.
- [Ivo Grigorov](https://twitter.com/OAforClimate), Open Source Robin, Denmark.
- [Jon Tennant](https://twitter.com/protohedgehog), Rogue scientist, World.


## Key documents <a name="Key_documents"></a>

- [Contributing](CONTRIBUTING.md)
- [Module design protocol](MODULE_DESIGN_PROTOCOL.md)
- [Code of conduct](CODE_OF_CONDUCT.md)
- [Key elements](key_elements.md)
- [Reading material](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/tree/master/Reading%20Material_Open%20Source%20and%20Open%20Research%20Software)

Pleaee note that all the reading materials are Open Access. Please do not upload articles which are paywalled or which are not openly licensed.


## Licenses <a name="Licenses"></a>

### Content
MOOC content license: [![CC0 Public Domain Dedication](https://img.shields.io/badge/License-CC0%201.0-lightgrey.svg)](https://creativecommons.org/publicdomain/zero/1.0/)

### Code and software   
Software associated with the MOOCs, or any code snippets contained in the MOOCs, carry the following default license: [![License:MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT). If needed a different [OSI approved software license](https://opensource.org/licenses) may be chosen.
