## Module 5: Initiate and plan

### Define the target groups
   
   - Computational researchers
   - Graduate and undergraduate students
   - Data scientists
   - Any other researcher who uses analytical code/software
   
### Refine the learning objectives and outcomes
   
   - The learner will be able to define the characteristics of open source research software, and the ethical, legal, economic and research impact arguments for and against it.
   - Based on community standards, learners will be able to describe the quality requirements of sharing and re-using open code.
   - The learner will be able to use a range of research tools that utilise open source software.
   - Individual learners will be able to transform code designed for their personal use into code that is accessible and re-usable by others.
   
### Design the course outline

  1. What is Open Source Software, including background and examples.
  1. Principles of Open Source Software.
  1. What open, collaborative platforms, with version control, exist.
  1. Why should code be shared as a research output.
  1. How to use GitHub combined with the Zenodo plug-in for code archiving.
  1. How to document and publish code, and what makes good software for re-use, including testing and comments.
  1. Open Source licensing.
  1. Tools for better open research
  1. Community codes, governance, and contributions.
  1. How to access and start working on general computing platforms
  1. Software citation.
  1. Differences in setting up accounts/storage/computing on different platforms.
  1. Comparison in terms of collaboration and openness with clusters/in-house servers.
  1. Where can you go from here? Includes an introduction to the Open Source community and further resources for learning.


### Design the project plan and timeline

  - Start: May 2018.
  - Team finalisation: end of May 2018
  - Production start: June 2018
  - Draft of first scripts: end of June 2018
  - Draft of first textual content: end of June 2018
  - Recording and editing: July 2018
  - Designing practical exercises: July 2018
  - Finalisation of content: August 2018
  - Check with Steering Committee: end of August 2018
  - Release for beta testing: September 2018
   
   
### Identify promotion channels

 - Relevant Twitter handles:
      - [Twitter Open Source](https://twitter.com/twitteross)
      - [Open Source TV](https://twitter.com/opensourcetv)
      - [Open Source Initiative](https://twitter.com/OpenSourceOrg)
      - [O'Reilly OSCON](https://twitter.com/oscon)
      - [Chris Holdgraf](https://twitter.com/choldgraf)
      - [Neil Saunders](https://twitter.com/neilfws)
      - [Open Source Pharma](https://twitter.com/OSPInfo)
      - [Abby Cabunoc Mayes](https://twitter.com/abbycabs)
      - [Chris DiBona](https://twitter.com/cdibona)
      - [Arfon Smith](https://twitter.com/arfon)
      - [Jan Gondol](https://twitter.com/jangondol)
      - [Konrad Frstner](https://twitter.com/konradfoerstner)
      - [Ina Smith](https://twitter.com/ismonet)
      - [Coko Foundation](https://twitter.com/CokoFoundation)
      - [Google Open Source](https://twitter.com/GoogleOSS)
      - [Carl Malamud](https://twitter.com/carlmalamud)
      - [Code Is Science](https://twitter.com/codeisscience)

 - Organisations:
      - [Software Carpentry](https://software-carpentry.org/)
      - [Sustainable Software Institute](https://www.software.ac.uk/software-sustainability-institute)
      - [COKO Foundation](https://coko.foundation/)
      - [Free Software Foundation](https://www.fsf.org/licensing/)
      - [WSSSPE community](http://wssspe.researchcomputing.org.uk)
      - [Open Research Software](http://openresearchsoftware.metajnl.com)
      - [JOSS](http://joss.theoj.org)
      - [Free Software Foundation](https://www.fsf.org/)
      - [Open Source Initiative](https://opensource.org/)
      - [Digital Freedom Foundation](http://www.digitalfreedomfoundation.org/)
      - [Ada Initiative](https://adainitiative.org/)
      
 - Mailing lists:
      - [Open science](https://lists.okfn.org/mailman/listinfo/open-science)
