## Module 5: Design

   1. Identify key resources (including those already gathered)
   
    - [Journal of Open Research Software](https://openresearchsoftware.metajnl.com/) 
    - [Journal of Open Source Software](https://joss.theoj.org/)
    - [InsideDNA](https://insidedna.me/) 
    - [Galaxy](https://galaxyproject.org/)
    - [Google Compute Engine](https://cloud.google.com/compute/) 
    - [Amazon Web Services](https://aws.amazon.com/)
    - [Software Citation Tools](https://github.com/mozillascience/software-citation-tools)
    - [Open Science, Open Data, Open Source](https://pfern.github.io/OSODOS/gitbook/)
    - [Choose an open source license](https://choosealicense.com/).
    
  -   [The Future of Research in Free/Open Source Software Development](http://www.ics.uci.edu/~wscacchi/Papers/New/FoSER-Scacchi-2010.pdf) (Scacchi, 2010).
  -   [The Scientific Method in Practice: Reproducibility in the Computational Sciences](http://datascienceassn.org/sites/default/files/The%2520Scientific%2520Method%2520in%2520Practice%2520-%2520Reproducibility%2520in%2520the%2520Computational%2520Sciences.pdf) (Stodden, 2010).
  -   [The case for open computer programs](https://www.nature.com/articles/nature10836) (Ince et al., 2012).
  -   [Code Sharing Is Associated with Research Impact in Image Processing](https://infoscience.epfl.ch/record/206184/files/Vandewalle12.pdf) (Vandewalle, 2012).
  -   [Current issues and research trends on open-source software communities](https://www.google.com/url?q=https://idus.us.es/xmlui/bitstream/handle/11441/32245/Current%2520issues%2520and%2520research%2520trends.pdf?sequence%3D1) (Martinez-Torres and Diaz-Fernandez, 2013).
  -   [Ten simple rules for reproducible computational research](http://journals.plos.org/ploscompbiol/article?id%3D10.1371/journal.pcbi.1003285) (Sandve et al., 2013).
  -   [Practices in source code sharing in astrophysics](https://arxiv.org/abs/1304.6780) (Shamir et al., 2013).
  -   [A systematic literature review on the barriers faced by newcomers to open source software projects](http://igor.pro.br/publica/papers/IST_SysReview_PrePrint.pdf) (Steinmacher et al., 2014).
  -   [Knowledge sharing in open source software communities: motivations and management](https://pdfs.semanticscholar.org/f2a2/c5129cf5656af7acc7ffaf84c9c9bafe72c5.pdf) (Iskoujina and Roberts, 2015).
  -   [An open source pharma roadmap](http://journals.plos.org/plosmedicine/article?id%3D10.1371/journal.pmed.1002276) (Balasegaram et al., 2017).
  -   [An introduction to Rocker: Docker containers for R](https://arxiv.org/abs/1710.03675) (Boettiger and Eddelbuettel, 2017).
  -   [Upon the Shoulders of Giants: Open-Source Hardware and Software in Analytical Chemistry](https://pubs.acs.org/doi/abs/10.1021/acs.analchem.7b00485) (Dryden et al., 2017).
  -   [Four simple recommendations to encourage best practices in research software](https://f1000research.com/articles/6-876/v1) (Jimanez  et al., 2017).
  -   [Perspectives on Reproducibility and Sustainability of Open-Source Scientific Software from Seven Years of the Dedalus Project](https://arxiv.org/abs/1801.08200) (Oishi et al., 2018).
  -   [Good enough practices in scientific computing](https://doi.org/10.1371/journal.pcbi.1005510) (Wilson et al. ,2017).
   
   2. Design learner activities with clear instructions
    - Task 1: Create a GitHub repo
    - Task 2: Integrate a GitHub repo with Zenodo
   
   3. Find resources (video, illustrations, screencasts, podcasts, assignments, quizzes, presentations)
    - TBC
   
   4. Write concise, engaging video (and audio) scripts
    - TBC
   
   5. Review all learning resources, adjusting as needed
    - TBC
   
   6. Finalise all scripts
    - TBC
   
   7. Copyright strategy
    - TBC