# Module 5 content development

These are the main content development files for the MOOC module production.

Please refer to the [contributing guidelines](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/CONTRIBUTING.md) before making changes here.

## Core content

These are the draft content files. The content in them is fully accessible, and can be used for learning purposes. However, they have not been integrated into a formal MOOC platform yet. At the moment, they are being written in markdown format, and then using the [notedown](https://github.com/aaren/notedown) tool to convert into iPython notebook format.

**IMPORTANT** Please edit the markdown files, not the iPython files. These will be periodically converted and synchronised as needed.

### In markdown format

- [**MAIN CONTENT**](MAIN.md) - The main content for this Module.
- [**TASK 1**](Task_1.md) - How to set up a repository on GitHub.
- [**TASK 2**](Task_2.md) - How to make your code citable using GitHub and Zenodo.

### In iPython notebook format

- [**MAIN CONTENT**](MAIN.ipynb)
- [**TASK 1**](Task_1.ipynb)
- [**TASK 2**](Task_2.ipynb)

## Production files

1. [Plan](01-plan.md) 
1. [Design](02-design.md)
1. [Recording and editing](03-recording.md)
1. [Internal reviewing](04-quizzes.md)


## Key resources from [production toolkit](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/tree/master/production_toolkit)

- [Module design protocol](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/MODULE_DESIGN_PROTOCOL.md)
- [MOOC planning template](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/MOOC_planning_template.md)
- [Script template](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/Script_template.md)
- [Video management protocol](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/Video_management_protocol.md)
- [Writing a script](https://github.com/OpenScienceMOOC/Module-5-Open-Research-Software-and-Open-Source/blob/master/production_toolkit/Writing_a_script.md)